stacksize.d(1m)

NAME
stacksize.d - measure stack size for running threads. Uses DTrace.

SYNOPSIS
stacksize.d

DESCRIPTION
This samples the user stack size by process name, and prints a distribution plot so that the average stack size can be easily identified. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # stacksize.d

FIELDS

value
    size of the user stack

count
    number of samples at this size

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
stacksize.d will sample until Ctrl-C is hit.

AUTHOR
Jonathan Adams

SEE ALSO
pmap(1), dtrace(1M)